package com.ruoyi.app.service;

import com.ruoyi.app.model.NFIDReader;

import java.util.List;

/**
 * nfid识别器 服务层
 * 
 * @author ruoyi
 */
public interface INFIDReaderService
{

    /**
     * 根据序列号查询nfid识别器信息的点位
     * 
     * @param key 参数键名
     * @return 参数键值
     */
    public String selectNFIDReaderSpotByKey(String key);
    /**
     * 查询nfid识别器列表
     *
     * @return 参数配置集合
     */
    public List<NFIDReader> selectNFIDReaderList();

    /**
     * 加载nfid识别器缓存数据
     */
    public void loadingConfigCache();

    /**
     * 清空nfid识别器缓存数据
     */
    public void clearConfigCache();

    /**
     * 重置nfid识别器缓存数据
     */
    public void resetConfigCache();

    /**
     * 修改nfid识别器
     *
     * @param NFIDReader nfid识别器
     * @return 结果
     */
    public int updateNFIDReaderBySerial(NFIDReader NFIDReader);
}
